Переполнение буфера в wpa_supplicant

Дата публикации:
25.11.2007
Дата изменения:
10.04.2009
Всего просмотров:
854
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
wpa_supplicant 0.x
Уязвимые версии: wpa_supplicant 0.6.0, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в TSF-Reporting драйверах. Удаленный пользователь может с помощью специально сформированных TSF данных вызвать переполнение стека и аварийно завершить работу приложения или выполнить произвольный код на целевой системе.

URL производителя: hostap.epitest.fi/wpa_supplicant/

Решение: Установите последнюю версию 0.6.0-4 с сайта производителя.

или введите имя

CAPTCHA